target=ct
rm=rm -f
o=o
out=
a=a
cc=gcc
cflags=-c -Wall -pedantic -idirafter ../../include
ld=gcc
lflags=-o $(target).$(out)
libs=../../lib/generic/libv.$(a) /usr/lib/libpthread.so
all:$(target).$(out)
$(target).$(o):$(target).c
	clear
	$(cc) $(cflags) $(target).c
$(target).$(out):$(target).$(o)
	$(ld) $(target).$(o) $(libs) $(lflags)
clean:
	$(rm) $(target).$(o)
	$(rm) $(target).$(out)
